Kea: isc::stats Namespace Reference

| Kea 3.0.2-git

isc::stats Namespace Reference

## Classes
class | DuplicateStat
| Exception indicating that a given statistic is duplicated. More...
class | InvalidStatType
| Exception thrown if invalid statistic type is used. More...
class | Observation
| Represents a single observable characteristic (a 'statistic'). More...
struct | StatContext
| Statistics context. More...
class | StatsMgr
| Statistics Manager class. More...

## Typedefs
typedef std::pair< isc::util::int128_t, SampleClock::time_point > | BigIntegerSample
| BigInteger (implemented as signed 128-bit integer).
typedef std::pair< StatsDuration, SampleClock::time_point > | DurationSample
| Time Duration.
typedef std::pair< double, SampleClock::time_point > | FloatSample
| Float (implemented as double precision).
typedef std::pair< int64_t, SampleClock::time_point > | IntegerSample
| Integer (implemented as signed 64-bit integer).
typedef boost::shared_ptr< Observation > | ObservationPtr
| Observation pointer.
typedef std::chrono::system_clock | SampleClock
| Define clock type.
typedef boost::shared_ptr< StatContext > | StatContextPtr
| Pointer to the statistics context.
typedef std::chrono::system_clock::duration | StatsDuration
| Defines duration type.
typedef std::pair< std::string, SampleClock::time_point > | StringSample
| String.

## Functions
long | toSeconds (const StatsDuration &dur)
| Returns the number of seconds in a duration.

## Typedef Documentation

## ◆ ObservationPtr

typedef boost::shared_ptr<Observation> isc::stats::ObservationPtr

Observation pointer.

Definition at line 479 of file observation.h.

## ◆ SampleClock

typedef std::chrono::system_clock isc::stats::SampleClock

Define clock type.

Note
  : we use the system clock i.e. the wall clock because this clock can be converted from and to standard Unix time (time_t).

Definition at line 38 of file observation.h.

## ◆ StatContextPtr

typedef boost::shared_ptr<StatContext> isc::stats::StatContextPtr

Pointer to the statistics context.

Definition at line 85 of file context.h.

## ◆ StatsDuration

typedef std::chrono::system_clock::duration isc::stats::StatsDuration

Defines duration type.

Note
  : the precision depends on the system,

Definition at line 43 of file observation.h.

## Function Documentation

## ◆ toSeconds()

long isc::stats::toSeconds | ( | const StatsDuration & | dur | ) |
| inline

Returns the number of seconds in a duration.

Parameters

  dur | The duration.

Returns
  The number of seconds in the given duration.

Definition at line 49 of file observation.h.